(Deprecated) Request an authorization code
curl --request POST \
--url https://int-api.mx.com/payment_processor_authorization_code \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/payment_processor_authorization_code"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/payment_processor_authorization_code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_processor_authorization_code": {
"authorization_code": "9nN-9D8_4Z3WYazx7-zXfmqsD3jwgL_2W927Sb3otI"
}
}Processor Token
(Deprecated) Request an authorization code
deprecated
POST
/
payment_processor_authorization_code
(Deprecated) Request an authorization code
(This endpoint is deprecated. Clients should use
/authorization_code.) Clients use this endpoint to request an authorization_code according to a user, member, and account specified in the request body. Clients then pass this code to processors. Processor access is scoped only to the user/member/account specified in this request. Before requesting an authorization_code, clients must have verified the specified member.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
The scope for the authorization code.
Hide child attributes
Hide child attributes
Example:
"ACT-4d4c0068-33bc-4d06-bbd6-cd270fd0135c"
Example:
"MBR-46637bc5-942d-4229-9370-ddd858bf805e"
Example:
"USR-f12b1f5a-7cbe-467c-aa30-0a10d0b2f549"

